searchNodes=[{"doc":"Implements Phoenix.HTML.Form.select/4 specifically for localized display of Cldr-based data.","ref":"Cldr.HTML.html","title":"Cldr.HTML","type":"module"},{"doc":"See Cldr.HTML.Currency.select/3.","ref":"Cldr.HTML.html#currency_select/3","title":"Cldr.HTML.currency_select/3","type":"function"},{"doc":"Implements Phoenix.HTML.Form.select/4 specifically for localised currency display.","ref":"Cldr.HTML.Currency.html","title":"Cldr.HTML.Currency","type":"module"},{"doc":"Generate an HTML select tag for a currency list that can be used with a Phoenix.HTML.Form.t.ArgumentsA Phoenix.HTML.Form.t() formA Phoenix.HTML.Form.field() fieldA Keyword.t() list of optionsOptionsFor select options see Phoenix.HTML.Form.select/4:currencies defines the list of currencies to be displayed in the the select tag. The list defaults to the currencies returned by Money.known_tender_currencies/0 if the package ex_money is installed otherwise it is the list returned by Cldr.known_currencies/0:locale defines the locale to be used to localise the description of the currencies. The default is the locale returned by Cldr.default_locale/1:backend is any backend module. The default is Cldr.default_backend!/0:mapper is a function that creates the text to be displayed in the select tag for each currency. It is passed the currency definition Cldr.Currency.t as returned by Cldr.Currency.currency_for_code/2. The default function is &amp;({&amp;1.code &lt;&gt; &quot; - &quot; &lt;&gt; &amp;1.name, &amp;1.code}):selected identifies the currency that is to be selected by default in the select tag. The default is nil. This is passed unmodified to Phoenix.HTML.Form.select/4:prompt is a prompt displayed at the top of the select box. This is passed unmodified to Phoenix.HTML.Form.select/4Examples =&gt; Cldr.HTML.Currency.select(:my_form, :currency, selected: :USD) =&gt; Cldr.HTML.Currency.select(:my_form, :currency, currencies: [&quot;USD&quot;, &quot;EUR&quot;, :JPY], mapper: &amp;({&amp;1.name, &amp;1.code}))","ref":"Cldr.HTML.Currency.html#select/3","title":"Cldr.HTML.Currency.select/3","type":"function"},{"doc":"","ref":"Cldr.HTML.Currency.html#t:select_options/0","title":"Cldr.HTML.Currency.select_options/0","type":"type"},{"doc":"Cldr HTMLHTML helper functions for CLDR.Usage[Implemented] Select currencies - by default the currencies of the locales configured in the default backend[Not Implemented] Select territories[Not Implemented] Select languages[Not Implemented] Select days of the week and months of the year in a given locale","ref":"readme.html","title":"Cldr HTML","type":"extras"},{"doc":"iex&gt; import Phoenix.HTML iex&gt; safe_to_string Cldr.HTML.Currency.select(:my_form, :currency, selected: :USD, currencies: ~w(usd eur jpy cop)) &quot;&lt;select id=\\&quot;my_form_currency\\&quot; name=\\&quot;my_form[currency]\\&quot; selected=\\&quot;USD\\&quot;&gt;&lt;option value=\\&quot;COP\\&quot;&gt;COP - Colombian Peso&lt;/option&gt;&lt;option value=\\&quot;EUR\\&quot;&gt;EUR - Euro&lt;/option&gt;&lt;option value=\\&quot;JPY\\&quot;&gt;JPY - Japanese Yen&lt;/option&gt;&lt;option value=\\&quot;USD\\&quot;&gt;USD - US Dollar&lt;/option&gt;&lt;/select&gt;&quot;","ref":"readme.html#examples","title":"Cldr HTML - Examples","type":"extras"},{"doc":"Cldr.HTML can be installed by adding ex_cldr_html to your list of dependencies in mix.exs:def deps do [ {:ex_cldr_html, &quot;~&gt; 0.1&quot;} ] endThe documentation can be found at https://hexdocs.pm/cldr_html.","ref":"readme.html#installation","title":"Cldr HTML - Installation","type":"extras"},{"doc":"Changelog for Cldr_HTML v1.0.0This is the changelog for Cldr HTML v1.0.0 released on November 1st, 2020. For older changelogs please consult the release tag on GitHubEnhancementsFirst hex releaseSupport CLDR 38","ref":"changelog.html","title":"Changelog for Cldr_HTML v1.0.0","type":"extras"},{"doc":"","ref":"license.html","title":"LICENSE","type":"extras"},{"doc":"Copyright 2017 Kip ColeLicensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License athttp://www.apache.org/licenses/LICENSE-2.0Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html#license","title":"LICENSE - License","type":"extras"}]